Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST chat_conversations/start

Ostatnia modyfikacja 2026-05-18 13:56:05

Rozpoczyna konwersację na czacie.

Kolejność dopasowania klientów z CRM:

  • Pole customer_id
  • Pole client_id
  • Adres e-mail

URL

https://your-system-name.thulium.com/api/chat_conversations/start

Parametry

chat_queue_id

wymagany

Identyfikator kolejki czata. Przykładowa wartość: 3
client_name

opcjonalny

Imię klienta. Przykładowa wartość: Jan
client_surname

opcjonalny

Nazwisko klienta. Przykładowa wartość: Kowalski
client_email

opcjonalny

Adres e-mail klienta. Przykładowa wartość: jan.kowalski@example.org
client_id

opcjonalny

Zewnętrzny identyfikator klienta. Przykładowa wartość: 1234
customer_id

opcjonalny

Identyfikator klienta w Thulium. Przykładowa wartość: 1

Przykładowy request

POST https://your-system-name.thulium.com/api/chat_conversations/start?chat_queue_id=3&client_id=1234

Przykładowy response

{
    "conversation_id": "6ed7c941-2c8a-411e-95d2-338a9f64800a"
}

Przykładowe wywołanie


PHP
<?php
$data = '';

$request = curl_init('https://your-system-name.thulium.com/api/chat_conversations/start?chat_queue_id=3&client_id=1234');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/chat_conversations/start?chat_queue_id=3&client_id=1234", "");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '' "https://your-system-name.thulium.com/api/chat_conversations/start?chat_queue_id=3&client_id=1234"

HTTPie
http -a api_user:api_pass POST https://your-system-name.thulium.com/api/chat_conversations/start